/*

UAV Ground Station model aircraft wing design tool
Copyright (C) 2003 Robin Stanton

This file is part of UAV Ground Station.

UAV Ground Station is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

UAV Ground Station is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with UAV Ground Station; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#include <stdio.h>
#include <windows.h>
#pragma hdrstop
#include "sepstr.h"

void SepStr(char *AB, char Sep, char *A, char *B)
{
	char *pc;
	char sAB[256];
	
	strcpy(sAB, AB);
	pc = strchr(sAB, Sep);
	if (!pc)
	{
		if (A) strcpy(A, sAB);
		if (B) strcpy(B, "");
		return;
	}
	*pc = 0;
	if (A) strcpy(A, sAB);
	if (B) strcpy(B, pc+1);
}
void RSepStr(char *AB, char Sep, char *A, char *B)
{
	char *pc;
	char sAB[256];
	
	strcpy(sAB, AB);
	pc = strrchr(sAB, Sep);
	if (!pc)
	{
		if (A) strcpy(A, sAB);
		if (B) strcpy(B, "");
		return;
	}
	*pc = 0;
	if (A) strcpy(A, sAB);
	if (B) strcpy(B, pc+1);
}
