/*

UAV Ground Station model aircraft wing design tool
Copyright (C) 2003 Robin Stanton

This file is part of UAV Ground Station.

UAV Ground Station is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

UAV Ground Station is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with UAV Ground Station; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
/*
file.h

  File i/o.
*/

#ifndef _FILE_H_
#define _FILE_H_

#ifndef _FILE_CPP_
#define _FILE_CPP_ extern
#endif

class CFileW
{
public:
	HANDLE hFile;

    CFileW();
	CFileW(char *name);
    ~CFileW();
	int open(char *name);
	void close();
	int write(void *data, int size);
};

class CFileR
{
public:
	HANDLE hFile;

    CFileR();
	CFileR(char *name);
    ~CFileR();
	int open(char *name);
	void close();
	int read(void *data, int size);
};

int ReadLine(CFileR *f, char *str);

#endif
